#
# spec file for package python-Deprecated
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Deprecated
Version:        1.2.9
Release:        lp152.1.1
Summary:        Python @deprecated decorator
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/tantale/deprecated
Source:         https://files.pythonhosted.org/packages/source/D/Deprecated/Deprecated-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wrapt >= 1.10}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-wrapt >= 1.10
BuildArch:      noarch
%python_subpackages

%description
If you need to mark a function or a method as deprecated,
you can use the ``@deprecated`` decorator.

%prep
%setup -q -n Deprecated-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGELOG.rst README.md
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Mon May  4 2020 Johannes Grassler <johannes.grassler@suse.com>
- update to 1.2.9
  * Fix #20: Set the :func:warnings.warn stacklevel to 2 if
    the Python implementation is PyPy
  * Fix packit configuration: use dist-git-branch: fedora-all
  * Change the Tox configuration to run tests on PyPy v2.7 and 3.6.
  * Fix #15: The @deprecated decorator doesn't set a warning
    filter if the action keyword argument is not provided or None.
  * Fix #13: Warning displays the correct filename and line
    number when decorating a class if wrapt does not have the compiled c
    extension.
* Mon Jan 13 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.2.7
  * Fix: Warning displays the correct filename and line number when
    decorating a function if wrapt does not have the compiled c extension.
  * Add Black configuration file.
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.2.6:
  * Fix #9: Change the project's configuration: reinforce the constraint to the Wrapt requirement.
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by PyGithub
